# AUTOGENERATED! DO NOT EDIT! File to edit: notebooks/aggregates_read.ipynb (unless otherwise specified).

__all__ = ["tc", "Aggregate"]

# Cell
import unittest

import yaml

from .logger import logger

tc = unittest.TestCase()

# Cell


class Aggregate:
    aggregats = None

    def __init__(self, aggregat_file):
        """
        ::aggregat_file:: YAML File containing the aggregats
        """
        with open(aggregat_file) as file:
            try:
                self.aggregats = yaml.safe_load(file)
            except yaml.YAMLError as exc:
                msg = f"Error reading yaml file: {exc}"
                logger.error(msg)
                raise exc

    def get_aggregate(self, year, variable_name, source, variable_type):
        try:
            return self.aggregats[year][variable_name][source][variable_type]
        except Exception:
            # logger.debug(f"Error reading {year}.{variable_name}.{variable_type}: {e}") #  as e
            return None
